=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2005-12-12 07:06:34 +0000
+++ bzrlib/tests/__init__.py	2005-12-12 07:20:02 +0000
@@ -634,6 +634,7 @@
                    'bzrlib.tests.test_options',
                    'bzrlib.tests.test_parent',
                    'bzrlib.tests.test_plugins',
+                   'bzrlib.tests.test_remove',
                    'bzrlib.tests.test_revision',
                    'bzrlib.tests.test_revision_info',
                    'bzrlib.tests.test_revisionnamespaces',

=== added file 'bzrlib/tests/test_remove.py'
--- bzrlib/tests/test_remove.py	1970-01-01 00:00:00 +0000
+++ bzrlib/tests/test_remove.py	2005-12-12 07:20:02 +0000
@@ -0,0 +1,12 @@
+from bzrlib.tests import TestCaseInTempDir
+from bzrlib.branch import Branch
+
+class TestRemove(TestCaseInTempDir):
+    def test_remove_verbose(self):
+        b = Branch.initialize(u'.')
+        self.build_tree(['hello'])
+        wt = b.working_tree() 
+        wt.add(['hello'])
+        wt.commit(message='add hello')
+        eq = self.assertEquals
+        wt.remove(['hello'], verbose=True)

=== modified file 'bzrlib/workingtree.py'
--- bzrlib/workingtree.py	2005-11-30 15:15:17 +0000
+++ bzrlib/workingtree.py	2005-12-12 07:20:02 +0000
@@ -69,6 +69,7 @@
                             realpath,
                             relpath,
                             rename)
+from bzrlib.textui import show_status
 import bzrlib.tree
 from bzrlib.trace import mutter
 import bzrlib.xml5

